TimelinePutResponseReader (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.timeline.reader, class: TimelinePutResponseReader

Package org.apache.hadoop.yarn.api.records.timeline.reader

# Class TimelinePutResponseReader

java.lang.Object
org.apache.hadoop.yarn.api.records.timeline.reader.TimelinePutResponseReader

All Implemented Interfaces:
  `javax.ws.rs.ext.MessageBodyReader<TimelinePutResponse>`

@Provider @Consumes("application/json") public class TimelinePutResponseReader extends Object implements javax.ws.rs.ext.MessageBodyReader<TimelinePutResponse>
We have defined a dedicated Reader for TimelinePutResponse, aimed at adapting to the Jersey2 framework to ensure that JSON can be converted into TimelinePutResponse.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimelinePutResponseReader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isReadable(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)`
  `TimelinePutResponse`
  `readFrom(Class<TimelinePutResponse> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,String> httpHeaders, InputStream entityStream)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TimelinePutResponseReader

    public TimelinePutResponseReader()

- ## Method Details

  - ### isReadable

    public boolean isReadable(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)
    Specified by:
      `isReadable` in interface `javax.ws.rs.ext.MessageBodyReader<TimelinePutResponse>`

  - ### readFrom

    public TimelinePutResponse readFrom(Class<TimelinePutResponse> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,String> httpHeaders, InputStream entityStream) throws IOException, javax.ws.rs.WebApplicationException
    Specified by:
      `readFrom` in interface `javax.ws.rs.ext.MessageBodyReader<TimelinePutResponse>`
    Throws:
      `IOException`
      `javax.ws.rs.WebApplicationException`